<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.security.security-domain.jsse.classic.keystore">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="password,type,url,provider,provider-argument"/>
        <elem name="complex-attribute" value="keystore"/>
        <elem name="addr-params" value="profile,subsystem,security-domain,jsse"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.security"/>
    </annotation>
    <refs>
        <ref feature="subsystem.security.security-domain.jsse.classic"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="security-domain" feature-id="true"/>
        <param name="password"/>
        <param name="provider-argument" nillable="true"/>
        <param name="provider" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="security"/>
        <param name="jsse" feature-id="true" default="classic"/>
        <param name="type" nillable="true"/>
        <param name="url" nillable="true"/>
    </params>
</feature-spec>